language: go

go:
  - "1.12"

install:
  - echo "install fzp tool"
  - go get github.com/fritzing/fzp/bin/fzp
  - echo "fzp succefully installed. Version:"
  - fzp -v
  - go get github.com/fritzing/fzb/bin/fzb
  - echo "fzb succefully installed. Version:"
  - fzb -version

script:
  - echo "run fzp validation tool in fritzing-parts/core"
  - fzp validate -d $HOME/gopath/src/github.com/fritzing/fritzing-parts/core
  # Disabled because some of the parts refer to invalid icons
  # - echo "validate core bin"
  # - fzb -f $HOME/gopath/src/github.com/fritzing/fritzing-parts/bins/core.fzb
  # - echo "run fzb validation tool"
  # - fzb -d $HOME/gopath/src/github.com/fritzing/fritzing-parts/bins/more
